{# TODO: For regions to be drag'n'dropable we would need to apply region_attributes['first'] to the actual regions + adding our own class region__content; unlike in drupal core region_attributes.first.addClass('region__title') only outputs classes when editing a layout builder page, but not when viewing it #}

{%
  set classes = [
    'layout--' ~ variant ~ 'col-section',
    'lb-columns__section',
    'lb-columns__section--' ~ variant ~ 'col',
  ]
%}
<div class="lb-map">
  <div {{ attributes }}>
    <div class="lb-map__map">
      <div {{ region_attributes.map.addClass('lb-map__map') }}>{{ map }}</div>
    </div>
    <div class="lb-map__filter">
      <div {{ region_attributes.filter.addClass('lb-map__filter') }}>{{ filter }}</div>
    </div>
  </div>
</div>
